/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.aop.deployment;

import org.jboss.aop.ClassPoolFactory;
import org.jboss.aop.ClassLoaderValidation;

/**
 * comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 */
public class AspectManagerService32JDK5 extends AspectManagerServiceJDK5
{
   protected ClassPoolFactory createFactory() throws Exception
   {
      return new JBossClassPoolFactory32(tmpClassesDir);
   }

   protected ClassLoaderValidation createClassLoaderValidation()
   {
      return new JBossClassLoaderValidator32();
   }

   protected void baseAop()
   {
      // complete
   }
}
